        #define CE              2  // 
		#define IRQ             3  // 
		#define CSN             4  //SPI
		#define RX              1  //SPI
		#define TX              0  //SPI
	   /* STATUS*/
        #define RX_DR           6 /* :  .    1.*/
        #define TX_DS           5 /* :  .    1.*/
        #define MAX_RT          4 /* :   .    1.*/
        #define RX_P_NO2        3 //      0 - 5     
        #define RX_P_NO1        2 // --------
        #define RX_P_NO0        1 // --------
        #define TX_FULL0        0 /*   TX FIFO  . 1-, 0-  .*/
		
		/* CONFIG*/     // 
        #define MASK_RX_DR      6 ///    RX_DR  . STATUS. 0-, 1-.
        #define MASK_TX_DS      5 ///    TX_DS  . STATUS. 0-, 1-.
        #define MASK_MAX_RT     4 ///    MAX_RT  . STATUS. 0-, 1-.
        #define EN_CRC          3 // CRC.   .      EN_AA .   ,  
        #define CRCO            2 // CRC. 0-1 , 1-2 . 
        #define PWR_UP          1 //1-POWER UP, 0-POWER DOWN,   0.
        #define PRIM_RX         0 //0- , 1- .
		
		/* EN_AA*/ 
		#define ENNA_P5         5 //        ( )     
		#define ENNA_P4         4 // -------- ( )
		#define ENNA_P3         3 // -------- ( )
		#define ENNA_P2         2 // -------- ( )
		#define ENNA_P1         1 // -------- ( )
		#define ENNA_P0         0 // -------- ( )
		
		/*  EN_RXADDR*/ 
		#define  ERX_P5         5 //    
		#define  ERX_P4         4 // --------
		#define  ERX_P3         3 // --------
		#define  ERX_P2         2 // --------
		#define  ERX_P1         1 // -------- ( )
		#define  ERX_P0         0 // -------- ( )
		
		/*  SETUP_RETR */
		/* ,     . ( 1111)
		0000   ; 0001    ;  ; 1111    15 .*/
		#define  ARC_0          0
		#define  ARC_1          1   
		#define  ARC_2          2   
		#define  ARC_3          3
		/*ARD   ,        : ( 0000)
		0000  250; 0001  500; 0010  750;  ; 1111  4000;*/
		#define  ARD_4          4
		#define  ARD_5          5
		#define  ARD_6          6
		#define  ARD_7          7
		
		/*  RF_SETUP */
		#define CONT_WAVE       7 //   .   
		#define RF_DR_LOW       5 //     250/.    RF_DR_HIGH   0
		#define PLL_LOCK        4 //   .
		#define RF_DR_HIGH      3 //    (   RF_DR_LOW = 0): 0  1/; 1  2/
		#define RF_PWR_1        2 // 2 ,   : 00  -18dBm; 01  -16dBm; 01  -6dBm; 11  0dBm
		#define RF_PWR_0        1
		
		/*  OBSERVE_TX  */
		
		
		
		// 
        #define R_REGISTER                      0x00 // 
        #define W_REGISTER                      0x20 //  
        #define R_RX_PAYLOAD                    0x61 //      
        #define W_TX_PAYLOAD                    0xA0 //       
        #define FLUSH_TX                        0xE1 //  
        #define FLUSH_RX                        0xE2 //  
        #define REUSE_TX_PL                     0xE3 //   
        #define ACTIVATE                        0x50 
        #define R_RX_PL_WID                     0x60
        #define W_ACK_PAYLOAD                   0xA8
        #define W_TX_PAYLOAD_NOACK              0x58
        #define NOP                             0xFF // ,   .
		
		
		
		#define CONFIG      0x00  //
		#define EN_AA       0x01  //           . (    .)
		#define EN_RXADDR   0x02  //      . (     )
		#define SETUP_AW    0x03  //       
		#define SETUP_RETR  0x04  //  ,        . ,     .
		#define RF_CH       0x05  //          1.   0  125. 2400 + RF_CH .
		#define RF_SETUP    0x06  //   .
		#define STATUS      0x07 
		#define OBSERVE_TX  0x08  //  
		#define CD          0x09  //   
		#define RX_ADDR_P0  0x0A //    P0 (   )        SETUP_AW.
		#define RX_ADDR_P1  0x0B //----------------------
		#define RX_ADDR_P2  0x0C //----------------------
		#define RX_ADDR_P3  0x0D //----------------------
		#define RX_ADDR_P4  0x0E //----------------------
		#define RX_ADDR_P5  0x0F //----------------------
		#define TX_ADDR     0x10 //      5  (   0xe7e7e7e7e7)        RX_ADDR_P0 - RX_ADDR_P5
		#define RX_PW_P0    0x11 //       P0 ,    32  ( 0)
		#define RX_PW_P1    0x12 // -------------
		#define RX_PW_P2    0x13 // -------------
		#define RX_PW_P3    0x14 // -------------
		#define RX_PW_P4    0x15 // -------------
		#define RX_PW_P5    0x16 // -------------
		#define FIFO_STATUS 0x17 //   FIFO   

		
		#define Bit(bit)  (1<<(bit))

#define ClearBit(reg, bit)       reg &= (~(1<<(bit)))
//: ClearBit(PORTB, 1); // 1-  PORTB

#define SetBit(reg, bit)          reg |= (1<<(bit))
//: SetBit(PORTB, 3); // 3-  PORTB

#define SetBitVal(reg, bit, val) do{if ((val&1)==0) reg &= (~(1<<(bit)));\
                                  else reg |= (1<<(bit));}while(0)
//: SetBitVal(PORTB, 3, 1); // 3-  PORTB
//	  SetBitVal(PORTB, 2, 0); // 2-  PORTB

/***********************************************************/

#define BitIsClear(reg, bit)    ((reg & (1<<(bit))) == 0)
//: if (BitIsClear(PORTB,1)) {...} //  

#define BitIsSet(reg, bit)       ((reg & (1<<(bit))) != 0)
//: if(BitIsSet(PORTB,2)) {...} //  

#define InvBit(reg, bit)	  reg ^= (1<<(bit))
//: InvBit(PORTB, 1); // 1-  PORTB